Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.assertions
Interface Assertable

All Known Implementing Classes:
  WsdlTestRequest

    public interface Assertable

Behaviour for an object that can be asserted

Author:
  ole.matzura

Nested Class Summary
`static class` | `Assertable.AssertionStatus`

Method Summary
`WsdlMessageAssertion` | `addAssertion(java.lang.String selection)`
`void` | `addAssertionsListener(AssertionsListener listener)`
`WsdlMessageAssertion` | `cloneAssertion(WsdlMessageAssertion source, java.lang.String name)`
`java.lang.String` | `getAssertableContent()`
`WsdlMessageAssertion` | `getAssertionAt(int c)`
`int` | `getAssertionCount()`
`Assertable.AssertionStatus` | `getAssertionStatus()`
`WsdlAssertionRegistry.AssertionType` | `getAssertionType()`
`WsdlInterface` | `getInterface()`
`TestStep` | `getTestStep()`
`void` | `removeAssertion(WsdlMessageAssertion assertion)`
`void` | `removeAssertionsListener(AssertionsListener listener)`

Method Detail

### addAssertion

    WsdlMessageAssertion addAssertion(java.lang.String selection)

### addAssertionsListener

    void addAssertionsListener(AssertionsListener listener)

### getAssertionCount

    int getAssertionCount()

### getAssertionAt

    WsdlMessageAssertion getAssertionAt(int c)

### removeAssertionsListener

    void removeAssertionsListener(AssertionsListener listener)

### removeAssertion

    void removeAssertion(WsdlMessageAssertion assertion)

### getAssertionStatus

    Assertable.AssertionStatus getAssertionStatus()

### getAssertableContent

    java.lang.String getAssertableContent()

### getAssertionType

    WsdlAssertionRegistry.AssertionType getAssertionType()

### getTestStep

    TestStep getTestStep()

### getInterface

    WsdlInterface getInterface()

### cloneAssertion

    WsdlMessageAssertion cloneAssertion(WsdlMessageAssertion source,
                                        java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.